Subject: [Int-area] ISP Shared Address QA

From: Akira Nakagawa <[email-masked]>
Date: Tue, 2 Dec 2008 11:44:37 +0900

All,

This is Akira Nakagawa, Tokyo.

Thank you very much for giving me a lot of comments at the presentation in 
Minneapolis.

I'll try to reply all of them as follows, but if there are my misunderstands
 and/or something I don't answer, reply to this ML again, please.

(Q1) This proposal leads extending the life of IPv4, so IPv6 will not deploy.

(A1) No, our goal is IPv6. NAT444 + Shared Address is designed for the co-
existing period. The purpose of this network is to access from IPv6 enabled 
network to remaining IPv4 network.

(Q2) Size of Shared Address is too small for operators who need around /8*10
 or more.

(A2) We haven't defined the size of Shared Address, but NAT444 + ISP Shared 
Address Model is not designed for them. Such big operators should choose 
other network model.

(Q3) Persuading one company to get Global Address and share it.

(A3) No, it loses registry system and if some accidents happen with this
address block, the company has to take responsibility. If some troubles
happen, the company may stop sharing the address block. To avoid this,
we need to define new address block so that every ISP can use and share.

(Q4) Possible to use 240/4 in ISP-controllable backbone instead of getting 
Shared Address.

(A4) Miyakawa-san asnwered on Nov.25 (JST) on this ML.
(At least, in Japan,) now so many PCs are running as a CPE device. 

Also, if a PC behind CPE in home network need to contact
any machine in a network X between LNS and CPE (see below),
and the network X is using Class E, 
PC in the home can not send/receive any packets 
to machines in the network X.

This is not good, because we should save any status on a LNS 
as much as possible....

Please understand that we must needs to have new space
to keep existing devices in the home.

 to/from the Internet
         |
         |
+--------+--------+
| Large Scale NAT |
+--------+--------+         +------------------------+
         |                  |SOME SERVICE such as DNS|
         |                  +------+-----------------+ 
         |                         |
---------+-------------------------+--------- <- Network X 
         |
         |
    +----+-----+
    |  CPE     |
    +----+-----+
         |
         |
---------+------------ HOME NETWORK
         |
    +----+-----+
    |  PC      |
    +----------+

(Q5) When Multihoming with two ISPs, needed to consider the path selection 
like RFC3484.

(A5) Customers who require Multihoming Service are not the target of NAT444 
+ Shared Address model. They should use expensive service that uses Global 
Address and/or Provider Independent Address (PI Address). 
To do this service, ISP should manage the limited number of Global Address 
in its network.

(Q6) Rewritten Source Address prevents 6to4 communication.

(A6) Nothing will change as today's typical network model. 
The endures who can use 6to4 service have to use the nodes with Global IPv4 
address.
Today, we cannot use 6to4 service because we use private address in our 
local network. So nothing will change after introducing Shared Address.

(Q7) ISP Shared address will be used by end users.

(A7) Same case happens nowadays. If end users use Global Address block that 
is same block as ISP's Global address block, address blocks will duplicate.

(Q8) Show the technical reason to use new IANA Unicast.

(A8) I showed the problem of RFC1918 private address at the page 4 of this 
presentation in Minneapolis.
     http://www3.ietf.org/proceedings/08nov/slides/intarea-1.pdf
Miyakawa-san showed the 240/4 problem at int-area@ ML. I copied it to this 
mail at (Q5)/(A5) above.
So we need IANA Unicast block.

	akira
_______________________________________________
Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area

---

From: Dave Thaler <[email-masked]>
Date: Mon, 1 Dec 2008 19:03:47 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Akira Nakagawa
> Sent: Monday, December 01, 2008 6:45 PM
> To: [email-masked]
> Subject: [Int-area] ISP Shared Address QA
>
>
> All,
>

I don't see how IPv6 is used in the NAT444+shared address model.
You say "No" above to "this proposal extends the life of IPv4".
I think you mean "Yes" to that part.

> to keep existing devices in the home.

If you have PC's serving as a CPE then your proposal won't help them
when such PCs are multihomed since the address space is not unique.
Multihoming is much more likely when it's a PC CPE than when it's an ISP CPE.

> local network. So nothing will change after introducing Shared Address.

Yes it will.  If a PC gets an address, it will think it's a public address
and will try using 6to4 and run into problems where it thinks it should
work and it doesn't work right.  This is very different from today where
if it gets an address it thinks is public it works, and if it gets an address
it thinks is private, it doesn't try 6to4.

> So we need IANA Unicast block.

You didn't mention my comment in your list below.

(Q9) ISPs aren't special.  Corporate VPNs have the same problem with
     conflicting space, for example.  (I believe there are other examples
     but VPN's are the most well known.)  If ISPs get a space, then so
     should VPNs and various other things.

-Dave

---

From: Marc Blanchet <[email-masked]>
Date: Tue, 02 Dec 2008 09:40:47 -0500

>      should VPNs and various other things.

Dave, I think this point is covered in Q7 above.

Marc.

-- 
=========
IPv6 book: Migrating to IPv6, Wiley, 2006. http://www.ipv6book.ca
Stun/Turn server for VoIP NAT-FW traversal: http://numb.viagenie.ca

---

From: Dave Thaler <[email-masked]>
Date: Tue, 2 Dec 2008 11:02:25 -0800

Below with [DT]

-----Original Message-----
From: Marc Blanchet [mailto:[email-masked]]
Sent: Tuesday, December 02, 2008 6:41 AM
To: Dave Thaler
Cc: [email-masked]; [email-masked]
Subject: Re: [Int-area] ISP Shared Address QA

[DT] It's not covered by Q7 above.  Q7 above is about whether a possible
space given to ISPs will work or not.  Q9 is about whether we should
give a space to ISPs, whether we should give another space to VPNs,
whether we should give another space to every other class of network
for which there exist many instances.  Q9 is saying that we should not
do so for ISPs unless we also are willing to do so for all the others.

-Dave

Marc.

---

From: Akira Nakagawa <[email-masked]>
Date: Fri, 5 Dec 2008 16:44:34 +0900

Dave, Marc, and all,

This is Akira Nakagawa, Tokyo.
Thank you for the coments.

> I think you mean "Yes" to that part.

At the Internet-Area session in Minneapolis, I should have explained how to 
use shared address. I was focusing on explaining only IPv4 part of the 
entire network model.

Just before the Internet-Area session, I explained the network structure of 
NAT444. See page 7 of my slide.
http://www.ietf.org/proceedings/08nov/slides/behave-7.pdf

As described on the slide, 

	NAT444 = IPv6 + IPv4(444)

for the co-existing period.

The purpose of this model is not extending the life of IPv4.

> Multihoming is much more likely when it's a PC CPE than when it's an ISP CPE.

As I answered in Q5, multihome service is out of scope. See Q5/A5.
If I don't get your question, let me know, please.

> it thinks is private, it doesn't try 6to4.

6to4 is out of scope, because as I explained in Q1 avobe, NAT444 model is 
IPv6/IPv4 dual stack.

>      should VPNs and various other things.
 <snip>
> do so for ISPs unless we also are willing to do so for all the others.

I'll explain it using the example of VPN.

  [Fig.A]                [Fig.B]               [Fig.C]
                                                     [Global]
                                               +-------+   +-------+
                                               | LSN-C +---+ LSN-D |
                                               +---+---+   +---+---+
                                                   |           |
  +-----------------+    +-----------------+   +---+---+   +---+---+
  |                 |    |                 |   |       |   |       |
  |     ISP-A       |    |     ISP-B       |   | ISP-C |   | ISP-D |
  |                 |    |                 |   |       |   |       |
  +---+---------+---+    +---+---------+---+   +---+---+   +---+---+ 
      |         |            |         |           |           |
      |         |            |         |           |           |
      |         |            |         |           |           |
      |[P1]     |[P3]        |[S]      |[S]        |[S1]       |[S2]
   +--+--+   +--+--+      +--+--+   +--+--+     +--+--+     +--+--+
   | VPN |   | VPN |      | VPN |   | VPN |     | VPN |     | VPN |
   +--+--+   +--+--+      +--+--+   +--+--+     +--+--+     +--+--+
      |[P2]     |[P4]        |[P]      |[P]        |[P]        |[P]
      |         |            |         |           |           |

        Conflict                  OK            Network model issue

[Fig.A] 
If ISP-A uses Private address for its backbone, ISP's Private Address (P1) 
and customer's Private (P2) conflict. (might be defferent issue)

[Fig.B] 
If ISP-B uses Shared Address, it works because shared address is unique in 
one ISP.

[Fig.C] 
If two sites belong to deferent ISPs, Shared address S1 and Shared address 
S2 may conflict. If they use Class-E or Private address instead of using 
Shared Address, it also happens.
But S1 and S2 are covered with Large Scale NATs. So it is not the address 
type issue. 
When this case happens, ISPs should persuade their customers to use IPv6 
service or expensive Global IPv4 Address service.

	akira

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 06 Dec 2008 08:42:58 +1300

Nakagawa-san,

On 2008-12-05 20:44, Akira Nakagawa wrote:
...
> The purpose of this model is not extending the life of IPv4.

I think the concern some of us have is that the mechanism *will*
extend the life of IPv4 much more than it encourages the growth
of IPv6. Can you explain the economic incentive for a user to switch
to using IPv6 in your model?

     Brian

---

From: Akira Nakagawa <[email-masked]>
Date: Wed, 10 Dec 2008 11:26:15 +0900

Brian,
All,

Thank you for your comment.

> to using IPv6 in your model?

The reason to switch to IPv6 is not economic reason. The reason is
technical reason. Customers under the Large Scale NAT (LNS) will 
have technical restriction like the limitation of session. This 
restriction is the direct reason for switching to IPv6 in our model.

Let me explain why to insist on the NAT444 + Shared Address
even if it has technical restrictions and it leads extending the
life of IPv4.

We have to continue expanding Internet(v4/v6) after the IPv4 
exhaustion that comes in two years. We have only two years. 

In this two years, we have to complete designing network, planning 
migration, development, budgeting, replacing or upgrading some 
backbone equipment, access network, customer's CPEs, replacing 
management tool, upgrading backend system, database, testing, 
installing .... and so on.

Basically, to do all above (and more), we have to invest a lot and 
take technical risk whatever network model we choose.
As Miyakawa-san explained at the Technical Plenary in Dublin, 
NAT444 network model is one of the easiest way for migration. 

We don't have to use brand new technology. Many Japanese 
Cable operators have used Middle Scale NAT.
If we use NAT444 + Shared Address, we can migrate without asking
customers to replace CPE as told at the Plenary.

	akira

---

From: Roque Gagliano <[email-masked]>
Date: Wed, 10 Dec 2008 14:39:16 -0600

Dear Akira,

> customers to replace CPE as told at the Plenary.

Why migrate existing CPE? Aren't we always talking about new  
customers? isn't that the spirit of the work been carried at the  
softwire WG?

roque